%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   ndg_httpsclient
%define modv   0.3.3


Summary:       A HTTPS client library for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/n/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.3.3-build.patch
Patch1:        %{modn}-0.3.3-tests.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Philip Kershaw <Philip.Kershaw@stfc.ac.uk>
Provides:      python(%{modn}) = %{modv}
Provides:      python(ndg.httpsclient) = %{modv}
Provides:      python(ndg.httpsclient.test) = %{modv}
Requires:      python-pyOpenSSL >= 0.13
Requires:      python-pyasn1 >= 0.1.7
BuildRequires: python2-devel >= 2.6 python-setuptools
BuildRequires: python-pyOpenSSL >= 0.13
BuildRequires: python-pyasn1 >= 0.1.7
BuildRequires: python-pytest
BuildArch:     noarch


%description
Ndg_httpsclient provides a HTTPS client implementation for httplib and
urllib2 based on PyOpenSSL, which provides a more fully featured SSL
implementation over the default provided with Python and also enables
full verification of the SSL peer.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1
%patch1 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
pushd build/lib*/ndg/httpsclient/test
scripts/openssl_https_server.sh >/dev/null 2>&1 &
py.test
kill %1
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE README*
%{_bindir}/ndg_httpclient
%{python2_sitelib}/ndg
%{python2_sitelib}/%{modn}*


%changelog
* Fri Feb 20 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.3.3-1
- Initial build
